Debian Bug report logs - #697719
ITP: libmojolicious-plugin-authorization-perl -- module to make authorization a bit easier for Mojolicious

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joenio Costa <joenio@colivre.coop.br>

Date: Tue, 8 Jan 2013 21:09:08 UTC

Owned by: Joenio Costa <joenio@colivre.coop.br>

Severity: wishlist

Fixed in version libmojolicious-plugin-authorization-perl/1.0301-1

Done: Joenio Costa <joenio@colivre.coop.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#697719; Package wnpp. (Tue, 08 Jan 2013 21:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joenio Costa <joenio@colivre.coop.br>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 08 Jan 2013 21:09:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joenio Costa <joenio@colivre.coop.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmojolicious-plugin-authorization-perl -- module to make authorization a bit easier for Mojolicious
Date: Tue, 08 Jan 2013 18:08:45 -0300
Package: wnpp
Severity: wishlist
Owner: Joenio Costa <joenio@colivre.coop.br>

* Package name    : libmojolicious-plugin-authorization-perl
  Version         : 1.0301
  Upstream Author : John Scoles <byterock@hotmail.com>
* URL             : http://search.cpan.org/dist/Mojolicious-Plugin-Authorization/
* License         : Perl
  Programming Lang: Perl
  Description     : module to make authorization a bit easier for Mojolicious

A very simple API implementation of role-based access control (RBAC).
This plugin is only an API you will have to do all the work of setting
up your roles and privileges and then provide four subs that are used by
the plugin.  The plugin expects that the current session will be used to
get the role its privileges. It also assumes that you have already been
authenticated and your role set. That is about it you are free to
implement any system you like.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joenio Costa <joenio@colivre.coop.br>:
Bug#697719; Package wnpp. (Tue, 08 Jan 2013 23:21:03 GMT) Full text and rfc822 format available.

Message #8 received at 697719@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 697719@bugs.debian.org, 697719-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libmojolicious-plugin-authorization-perl package
Date: Tue, 08 Jan 2013 23:19:13 +0000
tag 697719 + pending
thanks

Some bugs in the libmojolicious-plugin-authorization-perl package are
closed in revision 532af4dfc7868cf5f1c4d173055ad76dbbf05963 in branch
'master' by Joenio Costa

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libmojolicious-plugin-authorization-perl.git;a=commitdiff;h=532af4d

Commit message:

    Closes: #697719




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 08 Jan 2013 23:21:05 GMT) Full text and rfc822 format available.

Message sent on to Joenio Costa <joenio@colivre.coop.br>:
Bug#697719. (Tue, 08 Jan 2013 23:21:07 GMT) Full text and rfc822 format available.

Reply sent to Joenio Costa <joenio@colivre.coop.br>:
You have taken responsibility. (Wed, 27 Feb 2013 11:12:13 GMT) Full text and rfc822 format available.

Notification sent to Joenio Costa <joenio@colivre.coop.br>:
Bug acknowledged by developer. (Wed, 27 Feb 2013 11:12:13 GMT) Full text and rfc822 format available.

Message #18 received at 697719-close@bugs.debian.org (full text, mbox):

From: Joenio Costa <joenio@colivre.coop.br>
To: 697719-close@bugs.debian.org
Subject: Bug#697719: fixed in libmojolicious-plugin-authorization-perl 1.0301-1
Date: Wed, 27 Feb 2013 11:00:06 +0000
Source: libmojolicious-plugin-authorization-perl
Source-Version: 1.0301-1

We believe that the bug you reported is fixed in the latest version of
libmojolicious-plugin-authorization-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joenio Costa <joenio@colivre.coop.br> (supplier of updated libmojolicious-plugin-authorization-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 6 Jan 2013 12:03:55 -0300
Source: libmojolicious-plugin-authorization-perl
Binary: libmojolicious-plugin-authorization-perl
Architecture: source all
Version: 1.0301-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Joenio Costa <joenio@colivre.coop.br>
Description: 
 libmojolicious-plugin-authorization-perl - module to make authorization a bit easier for Mojolicious
Closes: 697719
Changes: 
 libmojolicious-plugin-authorization-perl (1.0301-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #697719)
Checksums-Sha1: 
 a64a58f71e1e5edc72843e3327cb5df97a978318 2411 libmojolicious-plugin-authorization-perl_1.0301-1.dsc
 6c56a876cab078aa82cc1cf53535e76e72989e43 15297 libmojolicious-plugin-authorization-perl_1.0301.orig.tar.gz
 ceb2346c61ffc575b0903138646444bef856ebbc 2005 libmojolicious-plugin-authorization-perl_1.0301-1.debian.tar.gz
 e2c9a437c609b581b11bc6a7338fe509dd0b5830 13308 libmojolicious-plugin-authorization-perl_1.0301-1_all.deb
Checksums-Sha256: 
 c5e6fbb90ff2329c6ae6f2c21fa134e9435b5e97c995efe613c37546b8436e65 2411 libmojolicious-plugin-authorization-perl_1.0301-1.dsc
 68e47248420287ca268a60715dc0414d4bc6649305cd1b56fafa85424c6f1604 15297 libmojolicious-plugin-authorization-perl_1.0301.orig.tar.gz
 20527a956f2ff1c0a3a5fc9a195cc32884028f7fac91eb30f977545a1f0d84ed 2005 libmojolicious-plugin-authorization-perl_1.0301-1.debian.tar.gz
 1e51c1dca4772f2abfe09d55638a87bbed86ec1ba2e956224e58c1ca44af5886 13308 libmojolicious-plugin-authorization-perl_1.0301-1_all.deb
Files: 
 556a7fd659bc8a32f96d5d306d309aa6 2411 perl optional libmojolicious-plugin-authorization-perl_1.0301-1.dsc
 c83048d0796e3863c3f821ffaf6bcfcb 15297 perl optional libmojolicious-plugin-authorization-perl_1.0301.orig.tar.gz
 61167911e2093ff31b5c1c225416524f 2005 perl optional libmojolicious-plugin-authorization-perl_1.0301-1.debian.tar.gz
 20ac9ba96a6bed2970ff9e6efc4026c4 13308 perl optional libmojolicious-plugin-authorization-perl_1.0301-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ9sicAAoJELs6aAGGSaoGlgwQAJirXRvcuhjW32O0Z+TS0LmU
B4Skax34UAuu/IdLQZc4lR6hGlaXLB31hu/tn8Xyq+gx6JqpZstC3g8PNS8YB3kC
mPrzXnDUJ5U7NfrPNT3fnYwozs2QRdMQD5GoTjzaUCgzcdzsx+wIUBomdFQf1Fs3
R10emetRDP3rCwXsKeXKD060lk8LSrJt9XuiplqsM9Gbwck9qbIwvPmqB2CmzgnM
ceAVTn9NAkqC4/zS0+TOQh5dsJgjh3+bQVcdwjefe032RedOAECc1caBA0PXISlQ
0CqS7Pi12hIZh5WTB3PgvlF3OeeRDcvdC8kmql+TNJVwJPDxjxkPuR3ek+akrvLc
0bPJ9Mg9Mqf+tw/3Vqp5tn7csFjjupa1QJiFdT/TmRfslUUPbs+Hlx1frj7HiZ5I
5VLEgyQUzv73cQGDEApXhEKrncrhdWDka7H85ZstyO2d5OTszm0yka5lHpU/UnTo
u7+9EALcNHoa9vPrcc8TGyvRACdJVljxq6/M2QbViqJ0jUqQyzcaKUp8QTg76fme
v+40GSXrduadN2FkFrqiwSM2RtnMSKGv/RRPLd6JLZ2GpN/th1S7b3By95Gzcq4m
VFnF5l/8PxZfMWSVF19ajaA6oOdWzGYCkUZ1Q1jVx290IuZmYbJVoTbBc1NjShqi
2/g/Vs7MLMDqberFGeAo
=BYLc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Mar 2013 07:27:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:23:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.